# Tax Categories

## GraphQL partial SDLs

This is a graphql reference page. In the llms.txt variant, those components link to the shared partial SDL key list instead of trying to resolve inline GraphQL reference content.

Fetch all available partial SDL keys first:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:returnTypesList
```

Then fetch the one or more relevant partial SDL with a key from that list by calling the same endpoint with a schema ID:

```text
GET https://docs.commercetools.com/apis/rest/content/by-id?id=ctp:gql-sphere:schema:<key>
```

The response body is a JSON object keyed by the requested content ID. For example, the key-list request returns a `ctp:gql-sphere:returnTypesList` field and a schema request returns a `ctp:gql-sphere:schema:<key>` field.

**Queries and mutations for managing Tax Categories in the platform.**

## Queries

### Query Tax Categories

[fetch SDL for query taxCategories](#graphql-partial-sdls).

### Get Tax Category

[fetch SDL for query taxCategory](#graphql-partial-sdls).

## Mutations

### Create Tax Category

[fetch SDL for mutation createTaxCategory](#graphql-partial-sdls).

### Update Tax Category

[fetch SDL for mutation updateTaxCategory](#graphql-partial-sdls).

### Delete Tax Category

[fetch SDL for mutation deleteTaxCategory](#graphql-partial-sdls).

## Output types

### TaxCategory

[fetch SDL for type TaxCategory](#graphql-partial-sdls).

### Tax Category Query Result

[fetch SDL for type TaxCategoryQueryResult](#graphql-partial-sdls).

## Input types

### TaxCategoryDraft

[fetch SDL for type TaxCategoryDraft](#graphql-partial-sdls).

### TaxCategoryUpdateAction

[fetch SDL for type TaxCategoryUpdateAction](#graphql-partial-sdls).

### Update actions

#### Change Name

[fetch SDL for type TaxCategoryChangeName](#graphql-partial-sdls).

#### Set Description

[fetch SDL for type TaxCategorySetDescription](#graphql-partial-sdls).

#### Add Tax Rate

[fetch SDL for type TaxCategoryAddTaxRate](#graphql-partial-sdls).

#### Replace Tax Rate

[fetch SDL for type TaxCategoryReplaceTaxRate](#graphql-partial-sdls).

#### Remove Tax Rate

[fetch SDL for type TaxCategoryRemoveTaxRate](#graphql-partial-sdls).

#### Set Key

[fetch SDL for type SetTaxCategoryKey](#graphql-partial-sdls).

## Related pages

- [Search documentation and API specs](/search.md)